

/* Replication achive

Who brings home the pork? 
Parties and the role of localness in committee assignments in mixed-member proportional systems

Thomas Gschwend
University of Mannheim, Germany

Thomas Zittel
Goethe University Frankfurt, Germany
*/





*     ***************************************************************** * 
*     ***************************************************************** * 
*       File-Name:      master.do                                       * 
*       Date:           August 18, 2015                                 * 
*       Author:         Gschwend, Zittel                                * 
*       Purpose:      	Allows to replicate the entire recoding,        *
*                       merging, and analysis                           * 
* 	    Input File:                                                     * 
*       Data Output:                                                    *              
*       Machine:        office computer                 				* 
*     ****************************************************************  * 
*     ****************************************************************  * 


* You need to dowload the following ado's before running this code!!!!!!
* - clarify - 
* - fre - 
* - estout -



clear
set more off
version 14.1




**********************************************
* Specify your own local path to the dropbox *
**********************************************


*local path /Users/Gschwend/Dropbox/Andre
*local path ~/Dropbox/San Francisco APSA 2015/data
* Thomas G.'s local (Air) path:
*local path /Users/thomasgschwend/Dropbox//San Francisco APSA 2015/data




* ********************************************************************* * 
*       Imports the data and performs basic recoding of variables               
* 	    Input File:     All_Data_24032016.dta  &   ausschuss_wp17.dta                                   
*       Data Output:    data83-09ext.dta                                        
* ********************************************************************  * 

do data2

* ********************************************************************* * 
*       Imports the data and performs basic recoding of variables               
* 	    Input File:     data83-09ext.dta                                   
*       Data Output:    data.dta                                        
* ********************************************************************  * 

do recode1

* ********************************************************************* * 
*       Performs analysis of response (logit)                         
*       Input File:     data.dta                                         
*       Data Output:    analysis1.dta   
***********************************************************************  * 

do analysis2



* ********************************************************************* * 
*       Graphs results (two scenarios; avg treatment effects)                         
*       Input File:     data.dta                                         
*       Data Output:       
***********************************************************************  * 

do graph2

